package com.dbs.mplus.fatima.consent.webservice.model;

import org.ksoap2.serialization.SoapObject;

/**
 * Created by dbs157 on 2016-12-12.
 */

public class CheckConsentState
{
    private static final String METHOD_NAME = "CheckConsentState";
    private static final String NAMESPACE = "http://tempuri.org/";

    public int consentMstRid;
    public String consentState;

    public SoapObject GetSoapParams()
    {
        SoapObject request = new SoapObject(NAMESPACE, METHOD_NAME);
        request.addProperty("consentmstrid", consentMstRid);
        request.addProperty("consent_state", consentState);

        return request;
    }

    public String GetSoapAction()
    {
        return NAMESPACE + METHOD_NAME;
    }
}
